# shared_object Class Reference

Shared Object Base Class. More...

`#include <ETL/handle>`

Inheritance diagram for shared_object:

List of all members.

## Public Member Functions

void | ref () const
bool | unref () const
| Returns `false` if object needs to be deleted.
int | count () const

## Protected Member Functions

| shared_object ()
virtual | ~shared_object ()

## Private Attributes

int | refcount

## Detailed Description

Shared Object Base Class.

See also:
  handle, loose_handle

Todo:
  This needs to be documented

Definition at line 66 of file _handle.h.

## Constructor & Destructor Documentation

shared_object::shared_object | ( |  | ) | `[inline, protected]`

Definition at line 75 of file _handle.h.

virtual shared_object::~shared_object | ( |  | ) | `[inline, protected, virtual]`

Definition at line 78 of file _handle.h.

## Member Function Documentation

void shared_object::ref | ( |  | ) | const`[inline]`

Definition at line 84 of file _handle.h.

References refcount.

bool shared_object::unref | ( |  | ) | const`[inline]`

Returns `false` if object needs to be deleted.

Definition at line 94 of file _handle.h.

References refcount.

int shared_object::count | ( |  | ) | const`[inline]`

Definition at line 120 of file _handle.h.

References refcount.

## Member Data Documentation

int shared_object::refcount `[mutable, private]`

Definition at line 69 of file _handle.h.

Referenced by count(), ref(), and unref().

The documentation for this class was generated from the following file:

- _handle.h